Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585145 - SELinux is preventing winbindd "name_connect" access .
SELinux is preventing winbindd "name_connect" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:7f13ae71328...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 05:12 EDT by Ralf Oltmanns
Modified: 2010-05-18 17:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-114.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Oltmanns 2010-04-23 05:12:32 EDT
Zusammenfassung:

SELinux is preventing winbindd "name_connect" access .

Detaillierte Beschreibung:

SELinux denied access requested by winbindd. It is not expected that this access
is required by winbindd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Zugriff erlauben:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:winbind_t:s0
Zielkontext                   system_u:object_r:virt_migration_port_t:s0
Zielobjekte                   None [ tcp_socket ]
Quelle                        winbindd
Quellpfad                     /usr/sbin/winbindd
Port                          49157
Host                          (removed)
RPM-Pakete der Quelle         
RPM-Pakete des Ziels          
Richtlinien-RPM               selinux-policy-3.6.32-110.fc12
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Enforcing
Plugin-Name                   catchall
Rechnername                   (removed)
Plattform                     Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Anzahl der Alarme             5
Zuerst gesehen                Mi 21 Apr 2010 10:58:56 CEST
Zuletzt gesehen               Fr 23 Apr 2010 11:09:28 CEST
Lokale ID                     1af0883f-5b2e-4250-921c-9cecc30b2545
Zeilennummern                 

Raw-Audit-Meldungen           

node=(removed) type=AVC msg=audit(1272013768.295:30838): avc:  denied  { name_connect } for  pid=1659 comm="winbindd" dest=49157 scontext=system_u:system_r:winbind_t:s0 tcontext=system_u:object_r:virt_migration_port_t:s0 tclass=tcp_socket



Hash String generated from  catchall,winbindd,winbind_t,virt_migration_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= winbind_t ==============
allow winbind_t virt_migration_port_t:tcp_socket name_connect;
Comment 1 Ralf Oltmanns 2010-04-23 05:17:29 EDT
This alert occurs every time during login into Fedora 12 even before I can do anything at all.
Comment 2 Daniel Walsh 2010-04-23 09:11:48 EDT
Miroslav, this is allowed in F13 policy.
Comment 3 Daniel Walsh 2010-04-23 09:13:00 EDT
corenet_tcp_connect_all_unreserved_ports(winbind_t)
Comment 4 Miroslav Grepl 2010-05-05 07:45:41 EDT
Fixed in selinux-policy-3.6.32-114.fc12
Comment 5 Fedora Update System 2010-05-05 11:36:41 EDT
selinux-policy-3.6.32-114.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 6 Fedora Update System 2010-05-06 23:57:21 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 7 Fedora Update System 2010-05-18 17:54:13 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.